Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 64818 - Xine crashes On any File Play
Summary: Xine crashes On any File Play
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High critical (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
: 92177 92415 (view as bug list)
Depends on:
Blocks:
 
Reported: 2004-09-20 20:45 UTC by Lee Trager
Modified: 2005-09-02 15:20 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
xine strace file (xine,785.47 KB, application/octet-stream)
2004-09-27 18:51 UTC, Lee Trager
Details
emerge.info (emerge.info,1.78 KB, text/plain)
2005-04-12 07:36 UTC, John Lange
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lee Trager 2004-09-20 20:45:40 UTC
When I open xine no matter what video or audio file I play xine will crash right away. I know these files work I have verifed they work fine in either mplayer or xmms. I went through the config and everything looks fine.

Reproducible: Always
Steps to Reproduce:
1. open xine
2. open a video or audio file

Actual Results:  
xine crashes here is what xine --verbose reports

This is xine (X11 gui) - a free video player v0.99.2.
(c) 2000-2004 The xine Team.
Built with xine library 1.0.0 (1-rc5)
Found xine library version: 1.0.0 (1-rc6a).
   Plateform informations:
   ----------------------
        system name     : Linux
        node name       : nuke
        release         : 2.6.9-rc1
        version         : #3 Mon Sep 6 19:09:20 EDT 2004
        machine         : x86_64
   CPU Informations:
   ----------------
        processor       : 0
        vendor_id       : AuthenticAMD
        cpu family      : 15
        model           : 15
        model name      : AMD Athlon(tm) 64 Processor 3500+
        stepping        : 0
        cpu MHz         : 2202.887
        cache size      : 512 KB
        fpu             : yes
        fpu_exception   : yes
        cpuid level     : 1
        wp              : yes
        flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge
mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext lm 3dnowext 3dnow
        bogomips        : 4325.37
        TLB size        : 1088 4K pages
        clflush size    : 64
        cache_alignment : 64
        address sizes   : 40 bits physical, 48 bits virtual
        power management: ts fid vid ttp
   -------
   Display Name:          :0.0,
   XServer Vendor:        Gentoo Linux (The X.Org Foundation 6.8.0, revision
r0-0.1),
   Protocol Version:      11, Revision: 0,
   Available Screen(s):   1,
   Default screen number: 0,
   Using screen:          0,
   Depth:                 16,
   XShmQueryVersion:      1.1,
-[ xiTK version 0.10.7 [XFT] ]-[ WM type: (EWMH) Blackbox {Fluxbox} ]-
Display is not using Xinerama.
load_plugins: skipping unreadable plugin directory /home/nuke/.xine/plugins.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_ao_out_none.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_ao_out_file.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_ao_out_oss.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_ao_out_alsa.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_ao_out_arts.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_ao_out_esd.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_vo_out_xshm.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_vo_out_xv.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_vo_out_xvmc.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_vo_out_opengl.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_vo_out_fb.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_vo_out_sdl.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_vo_out_none.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_dxr3_video.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_dxr3_spu.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_vo_out_dxr3.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_vo_out_dxr3.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_vcd.so found
load_plugins: input plugin VCD does not provide a priority, xine-lib will use
the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_file.so found
load_plugins: input plugin FILE does not provide a priority, xine-lib will use
the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_http.so found
load_plugins: input plugin http does not provide a priority, xine-lib will use
the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_dvd.so found
load_plugins: input plugin DVD does not provide a priority, xine-lib will use
the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_vcdo.so found
load_plugins: input plugin VCDO does not provide a priority, xine-lib will use
the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_v4l.so found
load_plugins: input plugin v4l_radio does not provide a priority, xine-lib will
use the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_v4l.so found
load_plugins: input plugin v4l_tv does not provide a priority, xine-lib will use
the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_gnome_vfs.so found
load_plugins: input plugin gnomevfs does not provide a priority, xine-lib will
use the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_mms.so found
load_plugins: input plugin mms does not provide a priority, xine-lib will use
the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_stdin_fifo.so found
load_plugins: input plugin stdin does not provide a priority, xine-lib will use
the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_pnm.so found
load_plugins: input plugin pnm does not provide a priority, xine-lib will use
the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_rtp.so found
load_plugins: input plugin rtp does not provide a priority, xine-lib will use
the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_rtsp.so found
load_plugins: input plugin rtsp does not provide a priority, xine-lib will use
the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_net.so found
load_plugins: input plugin tcp does not provide a priority, xine-lib will use
the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_pvr.so found
load_plugins: input plugin pvr does not provide a priority, xine-lib will use
the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_dvb.so found
load_plugins: input plugin DVB does not provide a priority, xine-lib will use
the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_inp_cdda.so found
load_plugins: input plugin CD does not provide a priority, xine-lib will use the
default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_ogg.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_ogg.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_mng.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_image.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_games.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_games.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_games.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_games.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_games.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_games.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_games.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_games.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_games.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_games.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_games.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_audio.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_audio.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_audio.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_audio.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_audio.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_audio.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_audio.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_audio.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_audio.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_audio.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_audio.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_audio.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_audio.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_mpeg_ts.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_avi.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_mpeg_block.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_mpeg.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_mpeg_elem.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_mpeg_pes.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_qt.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_fli.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_yuv4mpeg2.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_real.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_rawdv.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_pva.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_yuv_frames.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_slave.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_nsv.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_matroska.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_iff.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_flv.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_ff.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_ff.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_ff.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_dvaudio.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_mpeg2.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_a52.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_spu.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_spucc.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_sputext.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_dmx_sputext.so found
load_plugins: demuxer plugin sputext does not provide a priority, xine-lib will
use the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_dts.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_mad.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_lpcm.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_image.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_bitplane.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_rgb.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_yuv.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_gsm610.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_nsf.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_vorbis.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_real.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_real_audio.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_faad.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_flac.so found
load_plugins: demuxer plugin flac does not provide a priority, xine-lib will use
the default priority.
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_flac.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/post/xineplug_post_planar.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/post/xineplug_post_planar.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/post/xineplug_post_planar.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/post/xineplug_post_planar.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/post/xineplug_post_planar.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/post/xineplug_post_planar.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/post/xineplug_post_planar.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/post/xineplug_post_planar.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/post/xineplug_post_goom.so found
load_plugins: plugin
/usr/lib/xine/plugins/1.0.0/post/xineplug_post_visualizations.so found
load_plugins: plugin
/usr/lib/xine/plugins/1.0.0/post/xineplug_post_visualizations.so found
load_plugins: plugin
/usr/lib/xine/plugins/1.0.0/post/xineplug_post_visualizations.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/post/xineplug_post_mosaico.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/post/xineplug_post_switch.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/post/xineplug_post_tvtime.so found
load_plugins: plugin
/usr/lib/xine/plugins/1.0.0/post/xineplug_post_audio_filters.so found
load_plugins: plugin
/usr/lib/xine/plugins/1.0.0/post/xineplug_post_audio_filters.so found
load_plugins: plugin /usr/lib/xine/plugins/1.0.0/xineplug_decode_spucmml.so found
main: probing <aadxr3> video output plugin
main: probing <dxr3> video output plugin
video_out_dxr3: Failed to open control device /dev/em8300-0 (No such file or
directory)
main: probing <xv> video output plugin
video_out_xv: using Xv port 107 from adaptor NV17 Video Overlay for hardware
colorspace conversion and scaling.
video_out_xv: ignoring broken XV_HUE settings on NVidia cardsvideo_out_xv: this
adaptor supports the yuy2 format.
video_out_xv: this adaptor supports the yv12 format.
main: probing <alsa> audio output plugin
audio_alsa_out : supported modes are 8bit 16bit 24bit 32bit mono stereo
(4-channel not enabled in xine config) 4.1-channel (5-channel not enabled in
xine config) (5.1-channel not enabled in xine config) (a/52 and DTS pass-through
not enabled in xine config)
osd: can't find out current locale character set
osd: can't find out current locale character set
osd: can't find out current locale character set
osd: can't find out current locale character set
osd: can't find out current locale character set
video_out_xv: VO_PROP_ASPECT_RATIO(0)
gui_xine_open_and_play():
        mrl: 'file:/usr/share/xine/skins/xine-ui_logo.mpv',
        sub 'NONE',
        start_pos 0, start_time 0, av_offset 0, spu_offset 0.
xine: found input plugin  : file input plugin
ebml: invalid EBML ID size (0x0) at position 1
ebml: invalid master element
xine: found demuxer plugin: Elementary MPEG stream demux plugin
av_offset=0 pts
spu_offset=0 pts
xine: found input plugin  : file input plugin
ebml: invalid master element
failed to read 8 bytes at pos 252545024
xine: found demuxer plugin: AVI/RIFF demux plugin
ffmpeg_video_dec: direct rendering enabled
osd: can't find out current locale character set
xiTK received SIGSEGV signal, RIP.
fixing sound card drift by -2710 pts
Aborted


Expected Results:  
It should have played the file

Portage 2.0.51_rc1 (gcc34-amd64-2004.1, gcc-3.4.1, glibc-2.3.4.20040918-r0,
2.6.9-rc1 x86_64)
=================================================================
System uname: 2.6.9-rc1 x86_64 AMD Athlon(tm) 64 Processor 3500+
Gentoo Base System version 1.5.3
Autoconf: sys-devel/autoconf-2.59-r4
Automake: sys-devel/automake-1.8.5-r1
Binutils: sys-devel/binutils-2.15.90.0.1.1-r3
Headers:  sys-kernel/linux26-headers-2.6.7-r4
Libtools: sys-devel/libtool-1.5.2-r5
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CFLAGS="-march=k8 -O3 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
COMPILER=""
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config
/usr/kde/3.3/share/config:/usr/kde/3.3/env:/usr/kde/3.3/shutdown
/usr/kde/3/share/config /usr/lib/mozilla/defaults/pref /usr/share/config
/var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=k8 -O3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs ccache"
GENTOO_MIRRORS="http://gentoo.osuosl.org
http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X alsa amd64 apm arts avi berkdb bitmap-fonts bzlib cdb cdr crypt cups
dedicated divx4linux dvb dvd dvdr encode esd ethereal foomaticdb ftp gdbm gif
gimpprint gnome gpm gstreamer gtk gtk2 gtk2gtkhtml imagemagick imlib ipv6 java
jpeg kde libg++ libwww mikmod mmap mng motif mozilla mpeg multilib ncurses nls
oggvorbis openal opengl oss pam pdflib perl png python qt quicktime readline sdl
slang spell ssl tcpd truetype videos xine xml2 xmms xpm xprint xv zlib"
Comment 1 Chris White (RETIRED) gentoo-dev 2004-09-21 10:33:23 UTC
Could you post a gdb backtrace?  This may be an amd64 related issue, but I'd
like to see the backtrace before I go off saying that.
Comment 2 Lee Trager 2004-09-26 19:48:25 UTC
Here is what I did and the results

gdb xine
GNU gdb 6.2.1
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu"...(no debugging symbols found)...Using host libthread_db library "/lib/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/xine 
warning: Unable to find dynamic linker breakpoint function.
GDB will be unable to debug shared library initializers
and track explicitly loaded dynamic code.
warning: shared library handler failed to enable breakpoint
This is xine (X11 gui) - a free video player v0.99.2.
(c) 2000-2004 The xine Team.

xine never comes up thats all that happens. It hangs there and I have to do killall -9 xine && killall -9 gdb. When I dont use gdb xine comes up but crashes once I select a file.
Comment 3 Benjamin Schindler (RETIRED) gentoo-dev 2004-09-26 22:21:47 UTC
I just added myself to CC and can confirm the same behaviour here
Comment 4 Chris White (RETIRED) gentoo-dev 2004-09-27 07:40:18 UTC
Hmm, gdb is kinda weird because of the way portage does symbol stripping for
libs.  That said, attach an strace output instead.  You'll find strace:

dev-util/strace-4.5.7

which is the latest version.  Simply:

strace xine

and when xine decides to crash, the kill xine with a nice kill -9 if needed,
but don't kill strace or you won't get your output.  Then simply attach (no
inline attachments for the sake of our sanity :P) the output to this bug.
Comment 5 Lee Trager 2004-09-27 18:51:39 UTC
Created attachment 40574 [details]
xine strace file

I see why you wanted this as an attachment, I did a man on it and did strace -o
xine xine. Hopefully this gives you all the information you need.
Comment 6 Chris White (RETIRED) gentoo-dev 2004-10-21 07:51:41 UTC
eradicator recenty added some amd64 libconf (/lib and /lib64) logic which
may be the cause of the issue.  The latest -rc6 has a fix for that.  Please
test that out and see if you are experiencing the issue still.
Comment 7 Lee Trager 2004-10-21 18:25:47 UTC
I did not have libconf installed but I did have the latest xine. I tried emerge libconf then reemerging xine and I still have the same problem. I have reported this bug to the xine bugzilla but we still cannt figure it out. The reason why one of developers says we cannt figure it out is because gdb is not giving any realy output. He asks if my version of glibc is "unstripped" I told him I dont know. Is the version of glibc "unstripped" in portage? Anyway here is a link to the xine bugzilla.

https://sourceforge.net/tracker/?func=detail&atid=109655&aid=1043792&group_id=9655
Comment 8 Lee Trager 2004-11-10 20:09:01 UTC
The developers of xine need more information to figure this out if anyone can help give that information please goto

https://sourceforge.net/tracker/?func=detail&atid=109655&aid=1043792&group_id=9655
Comment 9 Chris White (RETIRED) gentoo-dev 2005-02-07 10:32:22 UTC
Try again with the gdb backtrace.  Simply do run, then it should hit the segfault, and do "bt" in the command line, then copy and paste here what the result is.

I've removed symbol stripping because a) it makes debugging stuff easier and b) it crashed mplayer and xine-lib also runs off an ffmpeg base so.. no chances taking :P.
Comment 10 Lee Trager 2005-02-07 14:22:12 UTC
xine hangs at the splash in gdb and I get this after bt

#0  0x0000002a96573a0a in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#1  0x0000002a961757b0 in fifo_buffer_get () from /usr/lib/libxine.so.1
#2  0x0000002a9617c7e4 in video_decoder_loop () from /usr/lib/libxine.so.1
#3  0x0000002a965710d1 in start_thread () from /lib/tls/libpthread.so.0
#4  0x0000002a975d1d53 in clone () from /lib/tls/libc.so.6
#5  0x0000000000000000 in ?? ()
#6  0x0000000000000000 in ?? ()
#7  0x0000000000000000 in ?? ()
#8  0x0000000000000000 in ?? ()
#9  0x0000000000000000 in ?? ()
#10 0x0000000000000000 in ?? ()
#11 0x0000000000000000 in ?? ()
#12 0x0000000000000000 in ?? ()
#13 0x0000000000000000 in ?? ()
#14 0x0000000000000000 in ?? ()
#15 0x0000000000000000 in ?? ()
#16 0x0000000000000000 in ?? ()
#17 0x0000000000000000 in ?? ()
Repeats for awhile...
#215 0x0000002a9773c560 in __check_rhosts_file () from /lib/tls/libc.so.6
#216 0x0000000000000000 in ?? ()
...
#242 0x0000002a9667b230 in stack_cache_maxsize () from /lib/tls/libpthread.so.0
#243 0x0000000000000000 in ?? ()
...
Cannot access memory at address 0x47000000
Comment 11 Todor Zviskov 2005-02-22 12:03:35 UTC
I confirm the same behaviour on x86; doesn't seem to be amd64 issue. Here's my emerge info:

Portage 2.0.51-r15 (default-linux/x86/2004.3, gcc-3.4.3, glibc-2.3.4.20050125-r0, 2.6.10-LNX i686)
=================================================================
System uname: 2.6.10-LNX i686 Intel(R) Pentium(R) 4 CPU 2.40GHz
Gentoo Base System version 1.6.9
Python:              dev-lang/python-2.3.5 [2.3.5 (#1, Feb 19 2005, 12:39:22)]
dev-lang/python:     2.3.5
sys-devel/autoconf:  2.59-r6, 2.13
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.5, 1.4_p6, 1.6.3, 1.9.4
sys-devel/binutils:  2.15.92.0.2-r3
sys-devel/libtool:   1.5.10-r4
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-march=pentium4 -mfpmath=sse -msse2 -mmmx -O3 -funroll-loops -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=pentium4 -mfpmath=sse -msse2 -mmmx -O3 -funroll-loops -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms"
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo"
LANG="bg_BG"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/overlays/bmg-main"
SYNC="rsync://rsync.ca.gentoo.org/gentoo-portage"
USE="x86 X aalib alsa apm arts avi berkdb bitmap-fonts bonobo breakme cdr crypt cups curl divx4linux dvb dvd dvdread emboss encode esd f77 fam flac font-server foomaticdb fortran gdbm gif gimpprint gnome gphoto2 gpm gstreamer gtk gtk2 gtkhtml hal imagemagick imlib ipv6 jack java jpeg junit kde ldap libg++ libwww lirc lzw-tiff mad mikmod mmx motif mozilla mp3 mpeg ncurses nls nptl nptlonly nvidia oggvorbis opengl oss pam pdflib perl png ppds python quicktime readline real samba scanner sdl slang spell sse ssl svga tcltk tcpd tiff truetype truetype-fonts type1-fonts usb v4l v4l2 winbind wmf xml xml2 xmms xorg xorg-x11 xv xvid zlib"
Unset:  ASFLAGS, CBUILD, CTARGET, LC_ALL, LDFLAGS
Comment 12 John Lange 2005-04-12 07:36:34 UTC
Created attachment 56084 [details]
emerge.info
Comment 13 John Lange 2005-04-12 07:41:01 UTC
Just wanted to post to confirm that I am getting the same thing on a fresh install of 2005.0 (my first ever Gentoo install).

Any file crashes xine. My emerge.info is attached.

When Xine is run from the command line it dies with:

xiTK received SIGSEGV signal, RIP.
Killed
Comment 14 Ian P. Christian 2005-04-12 14:33:53 UTC
also crashes for me, this is *not* am AMD64 problem, I'm on x86.

CFLAGS="-march=athlon-xp -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CXXFLAGS="${CFLAGS}"

strace before dying...

read(6, "\377\3734\304\0\0\0\10\1,\0\0\0\0\307\0\v@\0\0\1\301\225"..., 2514) = 2514
fstat64(6, {st_mode=S_IFREG|0744, st_size=730169344, ...}) = 0
_llseek(6, 0, [12774], SEEK_CUR)        = 0
fstat64(6, {st_mode=S_IFREG|0744, st_size=730169344, ...}) = 0
futex(0x87d3e48, FUTEX_WAKE, 1)         = 1
futex(0x87d3e44, FUTEX_WAKE, 1)         = 1
futex(0x87d3e2c, FUTEX_WAKE, 1)         = 1
_llseek(6, 15254, xiTK received SIGSEGV signal, RIP.
ptrace: umoven: No such process
0xbffe49d4, SEEK_SET) = 0
trace: ptrace(PTRACE_SYSCALL, ...): No such process
Comment 15 Lee Trager 2005-04-12 19:52:22 UTC
This seems like a problem with one of the file open dialogs. If you click on the open button on the front gui it crashes. When I right click on the xine screen(were the movies play), went to Open, then file it works fine.
Comment 16 Ian P. Christian 2005-04-12 22:23:09 UTC
http://bugs.gentoo.org/show_bug.cgi?id=87099

this fixed it for me - dodgy ALSA libs.

hope this helps
Comment 17 John Lange 2005-04-15 12:05:34 UTC
Confirmed, upgrading to alsa-lib 1.0.9_rc2-r1 fixed this for me as well.
Comment 18 Lee Trager 2005-04-15 15:26:12 UTC
I have that version installed and I still have the same issue. As I said before right clicking on the screen and then going to open does work its just clicking on the main gui(the control bar) that causes it to crash.
Comment 19 Jan Brinkmann (RETIRED) gentoo-dev 2005-04-20 11:45:10 UTC
which alsa-driver do you use? if you use the kernel driver disable that one, use the portage own alsa-driver and use the same version as the lib. either use 1.0.7 or 1.0.9_rcX , since 1.0.8 has some problems.
Comment 20 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-05-06 15:50:28 UTC
Try with latest xine-ui and report if it's still an issue.
Comment 21 Lee Trager 2005-05-06 21:50:15 UTC
Ive tested with the latest version and I still have the same problem on my desktop (AMD64) and laptop(ia32).
Comment 22 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-05-07 05:24:35 UTC
Try removing ~/.xine . I can't reproduce it in any way.
Comment 23 Lee Trager 2005-05-07 09:59:21 UTC
Removing .xine does nothing.
Comment 24 Lee Trager 2005-05-09 19:40:03 UTC
I was at my gf's house today and she has the same problem with xine(running gentoo ~x86 on a p4). The only difference is that xine will only crashes on some files and will be fine on others. 
Comment 25 Izaac Zavaleta 2005-05-11 09:11:47 UTC
I got the same problem with xine, on x86 and same solution. I only have to emerge the latest alsa-lib version (alsa-lib-1.0.9_rc3) to resolve the problem.
Comment 26 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-05-11 09:22:05 UTC
Please note that you should *not* use in-kernel drivers, and both -driver and -lib must be of the same version.
Comment 27 Lee Trager 2005-05-12 21:24:37 UTC
I do have the latest alsa-lib and it does not help. I do not see how this is a problem regarding the fact that alsa is built-in, I have no sound problems. This is a gui problem. Ill try using alsa-driver this weekend though.
Comment 28 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-05-13 01:45:27 UTC
We are aware of problems with in-kernel alsa drivers, which leads to segfaults and kernel oops.
Please try with alsa-driver and if the problem persists, reopen the bug.
Comment 29 Lee Trager 2005-05-14 19:36:54 UTC
I tried with with alsa-driver ebuild and the problem is still here.
Comment 30 Lee Trager 2005-05-14 19:42:07 UTC
I forgot to add im using alsa-driver, alsa-lib, etc version 1.0.9_rc3.
Comment 31 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-07-12 11:08:59 UTC
*** Bug 92415 has been marked as a duplicate of this bug. ***
Comment 32 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-07-12 11:23:18 UTC
*** Bug 92177 has been marked as a duplicate of this bug. ***
Comment 33 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-07-12 11:27:21 UTC
*** Bug 96073 has been marked as a duplicate of this bug. ***
Comment 34 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-07-12 11:29:54 UTC
Please can all of you try with alsa-driver 1.0.9b and latest xine version 
1.0.1-r3 ? 
Comment 35 Ian Monroe 2005-07-12 23:17:09 UTC
It doesn't crash for me anymore. I just tried it one day and it worked fine.
Perhaps I had upgraded the kernel or the compiler or something. I really don't
know what changed.
Comment 36 Ian Monroe 2005-07-12 23:19:26 UTC
Just looked at my /proc/asound/version, I'm using ALSA 1.0.8.
Comment 37 Beetle B. 2005-07-13 09:07:46 UTC
No luck - still segfaults with the new ALSA driver and Xine.

I do not have the ALSA drivers enabled in the kernel, either.

I miss Xine :-(
Comment 38 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-07-13 09:18:34 UTC
See if you can get a backtrace with gdb after setting 
 
FEATURES="nostrip" CFLAGS="-pipe -g -ggdb3" 
 
 
Comment 39 Luis Medinas (RETIRED) gentoo-dev 2005-07-13 10:52:25 UTC
looks like post_goom is broken with xine-lib-1.0.1-r3 this cause me seg faults
on totem...

####
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1132489056 (LWP 7201)]
0x00002aaab2563ba5 in zoom_filter_c ()
   from /usr/lib64/xine/plugins/1.0.1/post/xineplug_post_goom.so
###

after removing this file totem works fine but with no visualization with mp3/ogg
files
Comment 40 Beetle B. 2005-07-13 11:26:58 UTC
Haven't done the backtrace yet (just saw the note now).

I manually went to my plugins directory and removed all, and added them one by
one to see if any were causing problems. The following two caused segfaults:

xineplug_decode_speex.so
xineplug_dmx_ogg.so

Once I remove these, Xine loads up fine. WMV files don't work anymore. I tried
Real, Quicktime, mpegs and divx's and they're fine. Haven't tried any ogm ones.
Hope this helped. 
Comment 41 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-07-13 11:33:48 UTC
Can you refresh emerge info here? 
 
Comment 42 Beetle B. 2005-07-15 13:40:22 UTC
My emerge info:

Portage 2.0.51.22-r1 (default-linux/x86/2005.0/2.4, gcc-3.3.5-20050130,
glibc-2.3.4.20041102-r1, 2.4.20-gentoo-r8 i686)
=================================================================
System uname: 2.4.20-gentoo-r8 i686 Intel(R) Pentium(R) 4 CPU 2.53GHz
Gentoo Base System version 1.4.16
dev-lang/python:     2.2.3-r5, 2.3.5
sys-apps/sandbox:    1.2.10
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.16
virtual/os-headers:  2.4.19-r1, 2.4.22-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium4 -O3 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.1/share/config
/usr/kde/3.2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config
/usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config
/usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb
/usr/lib/mozilla/defaults/pref /usr/share/config
/usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/
/usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/
/usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=pentium4 -O3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks fixpackages sandbox sfperms strict"
GENTOO_MIRRORS="ftp://194.117.143.72/mirrors/gentoo"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/bmg-main"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acpi alsa apache2 apm arts avi berkdb bitmap-fonts bonobo
cdparanoia cdr crypt cups curl dga directfb divx4linux doc dvb dvd dvdr dvdread
emacs emboss encode esd fam fbcon fbdev ffmpeg flac foomaticdb fortran gd gdbm
gif gphoto2 gpm gstreamer gtk gtk2 gtkhtml guile imagemagick imap imlib ipv6 ir
java jpeg junit justify kde lcms ldap leim libcaca libg++ libwww live mad maild
matroska mbox mikmod mmx motif mozilla mp3 mpeg mysql ncurses network nls oav
ofxogg oggvorbis opengl oss pam pda pdflib perl pgp plotutils png pnp python qt
quicktime readline real samba sasl sdl slang speex spell sse ssl svga tcltk tcpd
tetex theora tiff truetype truetype-fonts type1-fonts unicode usb vcd vesa
vorbiswmf wxwindows x86 xine xinerama xml xml2 xmms xosd xv xvid zlib
video_cards_radeon userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS
Comment 43 Lee Trager 2005-07-15 14:41:32 UTC
Still having the same problem and everyone I know has it as well. Ive kept up to
date so Ive tried all recent versions. Anyway here is my info anything else just
post.

Portage 2.0.51.22-r1 (default-linux/amd64/2005.0, gcc-3.4.4, glibc-2.3.5-r0, 2.6
.12-ck2-r1 x86_64)
=================================================================
System uname: 2.6.12-ck2-r1 x86_64 AMD Athlon(tm) 64 Processor 3500+
Gentoo Base System version 1.6.13
dev-lang/python:     2.3.5, 2.4.1-r1
sys-apps/sandbox:    1.2.11
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.18-r1
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O3 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.3/env /usr/kde/3.3/share
/config /usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kd
e/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/default
s/pref /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=k8 -O3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/Linux/
distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac aalib aim alsa amd64 arts avi bash-completion berkdb bitmap-fonts
 bzlib cdb cdr crypt cups curl dedicated dvb dvd dvdr dvdread emul-linux-x86 enc
ode esd ethereal examples fam ffmpeg flac font-server foomaticdb fortran ftp gcj
 gdbm gif gimpprint glut gnome gpm gstreamer gtk gtk2 gtkhtml imagemagick imlib 
ipv6 java javascript jpeg junit kde ldap lm_sensors lzw lzw-tiff mad mikmod mmap
 mng motif mozilla mp3 mpeg ncurses nls nocd nptl nvidia offensive ogg oggvorbis
 openal opengl oscar oss pam pda pdflib perl png python qt quicktime readline sd
l slang spell ssl svg tcpd theora tiff truetype-fonts type1-fonts usb userlocale
s videos vorbis xine xml xml2 xmms xpm xprint xv xvid zlib userland_GNU kernel_l
inux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTDIR_OVERLAY
Comment 44 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-07-15 16:16:29 UTC
Please also provide 
 
emerge -pv ffmpeg xine-lib 
 
and also states if gxine and kaffeine works for you. 
Comment 45 Lee Trager 2005-07-15 19:45:57 UTC
emerge -pv ffmpeg xine-lib

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild   R   ] media-video/ffmpeg-0.4.9_p20050226-r5  +a52 +aac (-altivec)
-debug -doc -dts +encode -ieee1394 +imlib (-mmx) -network +ogg +oss +sdl
-threads -truetype* -v4l +vorbis +xvid +zlib 1,466 kB 
[ebuild   R   ] media-libs/xine-lib-1.0.1-r3  +X +a52 +aac +aalib +alsa
(-altivec) +arts -cle266 -directfb +dvd -dxr3 +esd -fbcon +ffmpeg +flac +gnome*
-i8x0 +ipv6 -libcaca +mad* +mng +nls +nvidia +opengl +oss +png -samba +sdl
-speex +theora -v4l -vcd (-vidix) +vorbis (-win32codecs) -xinerama +xv -xvmc 0 kB 

Total size of downloads: 1,466 kB
Comment 46 Beetle B. 2005-07-15 19:51:27 UTC
These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild   R   ] media-video/ffmpeg-0.4.9_p20050226-r5  +a52 +aac (-altivec)
-debug +doc -dts +encode -ieee1394 +imlib +mmx +network +ogg +oss +sdl -threads
+truetype -v4l +vorbis +xvid +zlib 0 kB
[ebuild   R   ] media-libs/xine-lib-1.0.1-r3  +X +a52 +aac +aalib +alsa
(-altivec) +arts -cle266 +directfb +dvd -dxr3 +esd +fbcon +ffmpeg +flac -gnome
-i8x0 +ipv6 +libcaca +mad -mng +nls -nvidia +opengl +oss +png +samba +sdl +speex
+theora-v4l +vcd -vidix +vorbis -win32codecs +xinerama +xv -xvmc 0 kB

Total size of downloads: 0 kB
Comment 47 R.Smith 2005-07-17 06:41:33 UTC
I also experience this bug with gxine and totem (xine backend) but I am using
the built-in kernel version of ALSA in a vanilla kernel (2.6.11.11).

Here's my emerge info, if it's needed for anything...

Portage 2.0.51.22-r1 (default-linux/x86/2005.0, gcc-3.3.5-20050130,
glibc-2.3.5-r0, 2.6.11.11-rms i686)
=================================================================
System uname: 2.6.11.11-rms i686 AMD Athlon(tm) XP 2400+
Gentoo Base System version 1.6.12
dev-lang/python:     2.3.5
sys-apps/sandbox:    1.2.10
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.18-r1
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=athlon-xp -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://ftp.snt.utwente.nl/pub/os/linux/gentoo"
LINGUAS="en_GB"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow X acpi alsa apm avi berkdb bitmap-fonts cdr crypt curl dga dio dvd
emboss encode esd fam flac foomaticdb fortran gdbm gif gnome gpm gstreamer gtk
gtk2 hal howl imlib ipv6 jpeg libg++ libwww mad memlimit mikmod mmap mmx motif
mp3 mpeg ncurses nls nptl nptlonly ogg oggvorbis openal opengl pam pdflib perl
png python quicktime readline sdl spell sse ssl symlink tcltk tcpd threads tiff
truetype truetype-fonts type1-fonts unicode usb vorbis x86 xine xml2 xv zlib
linguas_en_GB userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, MAKEOPTS, PORTDIR_OVERLAY
Comment 48 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-07-27 02:20:28 UTC
1.1.0 is in portage, can all of you try that and see what happens? 
Comment 49 Lee Trager 2005-07-27 21:02:51 UTC
Version 1.1.0 of xine-lib dosnt not fix anything but version 0.99.4 of xine-ui
does indeed fix the problem on both my AMD64 and x86 machine. Can others confirm?
Comment 50 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-09-02 15:20:35 UTC
Try with xine-lib-1.1.0-r2 and xine-ui-0.99.4 and report back.